Skip to main content
`Ctrl`+`K`

# TSMonitorEnvelopeCtxCreate

Creates a context for use with `TSMonitorEnvelope()`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorEnvelopeCtxCreate(TS ts, TSMonitorEnvelopeCtx *ctx)

Collective

## Input Parameter

- ts - the `TS` solver object

## Output Parameter

- ctx - the context

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSMonitorLGTimeStep()`, `TSMonitorSet()`, `TSMonitorLGSolution()`, `TSMonitorLGError()`

## Level

intermediate

## Location

src/ts/interface/tsmon.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages